define("node_modules/shawnxiao/a.js", function (require, exports, module) {
console.log('b starting');
exports.done = false;
//console.log('in b, a.done=%j', a.done);
exports.done = true;

});

define("node_modules/shawnxiao/b.js", function (require, exports, module) {
console.log('shawnxiao b starting');
exports.done = false;

});

define("node_modules/demo-xulin/index.js", function (require, exports, module) {
var myname = 'xulin';

exports.getName = function () {
    return myname;
};

exports.say = function () {
    return 'Say: I am ' + myname;
};

exports.showHand = function () {
    return 'b';
};

});

define("node_modules/shawnxiao/index.js", function (require, exports, module) {
var myname = 'xiongxiao';
var testA = require("node_modules/shawnxiao/a.js");
var testB = require("node_modules/shawnxiao/b.js");
var test_xu = require("node_modules/demo-xulin/index.js");

exports.getName = function () {
    return myname;
};

exports.say = function () {
    return 'Say: I am ' + myname;
};


});

define("testCircle.js", function (require, exports, module) {
exports = {
    test: 5
}

});

define("circle.js", function (require, exports, module) {
var PI = Math.PI;
var testCircle = require("testCircle.js");

exports.area = function (r) {
    return PI * r * r;
}

exports.circumference = function (r) {
    return 2 * PI * r;
}

});

define("square.js", function (require, exports, module) {
module.exports = function (width) {
    return {
        area: function () {
            return width * width;
        }
    }
}

});

define("a.js", function (require, exports, module) {
console.log('a starting');
exports.done = false;
exports.done = true;
console.log('a done');

});

define("b.js", function (require, exports, module) {
console.log('shawnxiao a starting');
exports.done = false;

});

define("index.js", function (require, exports, module) {
var shawnXiao = require('node_modules/shawnxiao/index.js')
console.log(shawnXiao.say());
console.log("the template in shawnXiao:", shawnXiao.template);

var circle = require('circle.js');
console.log('The area of a circle of radius 4 is' + circle.area(4));

var square = require('square.js');
var mySquare = square(2);
console.log('The area of my square is ' + mySquare.area());

console.log('main starting');
var a = require('a.js');
var b = require('b.js');

console.log('in main, a.done=%j, b.done=%j', a.done, b.done);



var test_xu = require("node_modules/demo-xulin/index.js");
console.log(test_xu.say());

});

